Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518038 - fftw FTBFS on f27 and rawhide
Summary: fftw FTBFS on f27 and rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fftw
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Conrad Meyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 00:35 UTC by Merlin Mathesius
Modified: 2018-04-24 04:02 UTC (History)
4 users (show)

Fixed In Version: fftw-3.3.5-8.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-24 04:02:04 UTC


Attachments (Terms of Use)

Description Merlin Mathesius 2017-11-28 00:35:44 UTC
Description of problem:
fftw no longer builds on Fedora F27 or Rawhide. The last successful package build was on August 4, 2017 for F27. There does not appear have been any build attempts for Rawhide.

Version-Release number of selected component (if applicable):
fftw-3.3.5-7.fc28
fftw-3.3.5-7.fc27

How reproducible:
always

Steps to Reproduce:
1. fedpkg clone fftw
2. cd fftw
3. fedpkg scratch-build
4. fedpkg --release f27 scratch-build

Actual results:
Failed Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=23417223
Failed F27 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=23420204

Expected results:
Successful package build

Additional info:
Package still builds successfully for F26: https://koji.fedoraproject.org/koji/taskinfo?taskID=23427846

I have attempted to rebuild the fftw package numerous times. It is always the build for arch i686 that fails, and it is always the self-checks that fail with a segfault or a hang. I have also observed that the failing self-checks are always those using Open MPI in a multi-CPU configuration.

Note: the segfault traceback appears similar to that reported at https://github.com/open-mpi/ompi/issues/4260 so the failure may be associated with the openmpi package.

Comment 1 Rex Dieter 2017-11-28 16:48:13 UTC
I believe i686 is not longer treated as a primary arch, it may not be unreasonable to either skip tests or make the tests non-fatal on that architecture.

Comment 2 Merlin Mathesius 2017-11-28 22:25:42 UTC
Yes, according to https://fedoraproject.org/wiki/Architectures, as of Fedora 26 i686 has been demoted to an alternative architecture.

Nevertheless...

After further investigation, it appears the problem can be worked around by disabling Open MPI's vader byte transfer layer while running self-checks on 32-bit x86 platforms by setting OMPI_MCA_btl="^vader" in the environment. Assuming my scratch builds with that workaround finish successfully, I'll be creating a PR with that patch in the very near future.

Comment 3 Merlin Mathesius 2017-11-29 16:09:51 UTC
I have created PRs with fixes for this issue:

Rawhide: https://src.fedoraproject.org/rpms/fftw/pull-request/1

F27: https://src.fedoraproject.org/rpms/fftw/pull-request/3

Comment 4 Merlin Mathesius 2017-12-13 16:51:14 UTC
Please consider merging the above referenced PRs--or implementing an alternate fix--so that fftw can build successfully again.

Comment 5 Conrad Meyer 2018-04-19 02:12:16 UTC
Rawhide fix from comment #3 was already merged; merged F27 fix as well and kicked off a build: https://koji.fedoraproject.org/koji/taskinfo?taskID=26447115

Comment 6 Conrad Meyer 2018-04-19 02:14:09 UTC
FYI this may have been fixed in OpenMP already: https://github.com/open-mpi/ompi/issues/4260  It's unclear to me what release version(s) that ended up in.  Nevertheless, disabling the check on x86 seems harmless.

Comment 7 Fedora Update System 2018-04-19 04:16:38 UTC
fftw-3.3.5-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9acbde70a3

Comment 8 Fedora Update System 2018-04-19 17:38:28 UTC
fftw-3.3.5-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9acbde70a3

Comment 9 Fedora Update System 2018-04-24 04:02:04 UTC
fftw-3.3.5-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.